Skip to main content
PUT
/
v1
/
accounts
/
{accountId}
/
conversations
/
{conversationId}
/
close
cURL
curl -X GET \
  https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/conversations/{{CONVERSATION_ID}}/close \
  -H 'Authorization: Bearer {{TOKEN}}'
{
  "success": true,
  "data": {
    "closed": "2023-11-07T05:31:56Z",
    "lastMessage": {
      "id": "<string>",
      "status": "<string>",
      "created": {
        "at": "2023-11-07T05:31:56Z",
        "by": {
          "id": "<string>",
          "name": "Joe Bloggs",
          "firstName": "Joe",
          "lastName": "Bloggs",
          "email": "joe@bloggs.com",
          "source": "<string>",
          "subSource": "<string>"
        }
      },
      "conversation": "<unknown>",
      "type": "<string>",
      "message": "<string>",
      "template": "<string>",
      "outgoing": true,
      "phoneNumber": "+1234567890",
      "price": 123,
      "segments": 123,
      "read": true,
      "media": [
        {
          "url": "<string>",
          "type": "<string>",
          "name": "<string>",
          "filename": "<string>"
        }
      ],
      "sendAt": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "unread": [
      "<string>"
    ],
    "type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

Account to apply operations to

conversationId
string
required

ID of conversation

Response

200 - application/json

successful operation

success
boolean
required
data
object
required